<% if @order_by == 'name' %>
    <% @videos.each do |video| %>
        <% if video.video_file.present? %>
            <% if  video.is_video? %>
                <% link = video.video_file_url %>
            <% else %>
                <% link = video.video_file_url %>
            <% end %>
        <% elsif video.youtube_link.present? %>
            <% link = video.youtube_link %>
        <% elsif video.web_link.present? %>
            <% link = video.web_link %>
        <% end %>
        <div class="col-sm-6 col-md-4 box">
            <a href="<%= link %>" target="_blank">

                <div class="video-card">
                    <div class="video-container">
                        <!-- <video class="myvideo"  controls>
                            <source src="<%#= video_file.url %>" type="video/mp4">
                        </video> -->
                        <% if video.video_file.present? %>
                            <% icon = video.is_pdf? ? '/assets/pdf.png' : video.is_excel? ? '/assets/excel.png' : video.is_word_document? ? '/assets/word.png' : video.is_powerpoint? ? '/assets/powerpoint.png' : video.is_plain_text? ? '/assets/text.png' : video.is_image? ? video.video_file_url(:thumb) : '/assets/weblink.png' %>
                            <% if video.is_video? %>
                                <video class="myvideo"  controls>
                                    <source src="<%= video.video_file_url %>" type="video/mp4" class="thumb_img">
                                </video>
                            <% else %>
                                <div class="thumb_img link_icon" style="background-image:url(<%= icon %>)"></div>
                                <!-- <a href="<%#= video.video_file_url %>" target="_blank"></a> -->
                            <% end %>
                        <% elsif video.youtube_link.present? %>
                            <!-- <video class="myvideo height_200"  controls> -->
                            <!-- ## Commented on 6 Dec ## -->
                                <!-- <div class="thumb_img" style="background-image:url('<%#= VideoThumb::get(video.youtube_link, 'thumb') %>')" class="thumb_img"></div> -->
                                <div class="thumb_img" style="background-image:url(<%= video.display_image.url %>)" class="thumb_img"></div>
                                <!-- <a href="<%#= video.youtube_link %>"  target="_blank"></a> -->

                                <!-- <source src="<%#= video.youtube_link %>" type="video/mp4"> -->
                            <!-- </video> -->
                        <% elsif video.web_link.present? %>
                            <!-- <div class="myvideo"> -->
                                    <div class="thumb_img link_icon" style="background-image:url('/assets/weblink.png')"></div>
                                    <!-- <a href="<%#= video.web_link %>" target="_blank"></a> -->
                            <!-- </div> -->
                        <% end %>
                    </div>

                </div>
                <div class="card-content autoheight">
                    <h4><%= video.title %></h4>
                    <!-- <p>fsjkldjklj fdjgkljfdg fljsdgkjfg kfgklsdfjg fjkgj</p> -->
                    <!-- <div class="social_info">
                        <div class="left_part"><span class="favourite"><i class="fa fa-heart" aria-hidden="true"></i> 609</span><span class="msg"><i class="fa fa-heart" aria-hidden="true"></i> 609</span></div>
                        <div class="right_part new_icons"><a href=""><i class="fa fa-facebook" aria-hidden="true"></i></a><a href=""><i class="fa fa-twitter" aria-hidden="true"></i></a><a href=""><i class="fa fa-linkedin" aria-hidden="true"></i></a><a href=""><i class="fa fa-envelope-o" aria-hidden="true"></i></a></div>
                    </div> -->
                </div>
            </a>
        </div>
    <% end %>
<% else %>
    <% @video_links.each do |video| %>
    <%# logger.info  "---vid===#{video.inspect}" %>
        <div class="col-sm-6 col-md-4 box">
            <a href="<%= video.video_file_url %>" target="_blank">
                <div class="video-card">
                    <div class="video-container">
                        <video class="myvideo"  controls>
                            <source src="<%= video.video_file_url %>" type="video/mp4" class="thumb_img">
                        </video>
                    </div>
                </div>
                <div class="card-content autoheight">
                    <h4><%= video.title %></h4>
                    <!-- <p><i></i>Interstride</p> -->
                </div>
            </a>
        </div>
    <% end if @video_links.present? %>
    <% @youtube_links.each do |video| %>
        <div class="col-sm-6 col-md-4 box">
            <a href="<%= video.youtube_link %>" target="_blank">
                <div class="video-card">
                    <div class="video-container">

                        <div class="thumb_img" style="background-image:url(<%= video.display_image.url %>)" %></div>
                    </div>
                </div>
                <div class="card-content autoheight">
                    <h4><%= video.title %></h4>
                    <!-- <p>fsjkldjklj fdjgkljfdg fljsdgkjfg kfgklsdfjg fjkgj</p> -->
                        <!-- <p><i></i>Interstride</p> -->
                </div>
            </a>
        </div>
    <% end if @youtube_links.present? %>
    <% @pdfs.each do |video| %>
        <% logger.info "===pdf===#{video.inspect}" %>
        <div class="col-sm-6 col-md-4 box">
            <a href="<%= video.video_file_url %>" target="_blank">
                <div class="video-card">
                    <div class="video-container">
                        <div class="thumb_img link_icon" style="background-image: url('/assets/pdf.png')"></div>
                        <!-- <a href="<%#= video.video_file_url %>"  target="_blank"></a> -->
                    </div>
                </div>
                <div class="card-content autoheight">
                    <h4><%= video.title %></h4>
                    <!-- <p>fsjkldjklj fdjgkljfdg fljsdgkjfg kfgklsdfjg fjkgj</p> -->
                    <!-- <p><i></i>Interstride</p> -->
                </div>
            </a>
        </div>
    <% end if @pdfs.present? %>
    <% @web_links.each do |video| %>
        <% logger.info "===web===#{video.inspect}" %>
        <div class="col-sm-6 col-md-4 box">
            <a href="<%= video.web_link %>" target="_blank">
                <div class="video-card">
                    <div class="video-container">
                        <div class="thumb_img link_icon" style="background-image: url('/assets/weblink.png')"></div>
                        <!-- <a href="<%#= video.web_link %>"  target="_blank"></a> -->
                    </div>
                </div>
               <div class="card-content autoheight">
                   <h4><%= video.title %></h4>
                   <!-- <p>fsjkldjklj fdjgkljfdg fljsdgkjfg kfgklsdfjg fjkgj</p> -->
                   <!-- <p><i></i>Interstride</p> -->
               </div>
           </a>
       </div>
   <% end if @web_links.present? %>
   <% @docs.each do |video| %>
       <% logger.info "===doc===#{video.inspect}" %>
       <div class="col-sm-6 col-md-4 box">
           <a href="<%= video.video_file_url %>" target="_blank">
               <div class="video-card">
                   <div class="video-container">
                       <div class="thumb_img link_icon" style="background-image: url('/assets/word.png')"></div>
                       <!-- <a href="<%#= video.video_file_url %>"  target="_blank"></a> -->
                   </div>
               </div>
               <div class="card-content autoheight">
                   <h4><%= video.title %></h4>
                   <!-- <p>fsjkldjklj fdjgkljfdg fljsdgkjfg kfgklsdfjg fjkgj</p> -->
                   <!-- <p><i></i>Interstride</p> -->
               </div>
           </a>
       </div>
   <% end if @docs.present? %>
   <% @excel_sheets.each do |video| %>
       <% logger.info "===excel===#{video.inspect}" %>
       <div class="col-sm-6 col-md-4 box">
           <a href="<%= video.video_file_url %>" target="_blank">
               <div class="video-card">
                    <div class="video-container">
                        <div class="thumb_img link_icon" style="background-image: url('/assets/excel.png')"></div>
                        <!-- <a href="<%#= video.video_file_url %>"  target="_blank"></a> -->
                    </div>
                </div>
                <div class="card-content autoheight">
                    <h4><%= video.title %></h4>
                    <!-- <p>fsjkldjklj fdjgkljfdg fljsdgkjfg kfgklsdfjg fjkgj</p> -->
                    <!-- <p><i></i>Interstride</p> -->
                </div>
            </a>
        </div>
    <% end if @excel_sheets.present? %>
    <% @ppts.each do |video| %>
        <% logger.info "===ppt===#{video.inspect}" %>
        <div class="col-sm-6 col-md-4 box">
            <a href="<%= video.video_file_url %>" target="_blank">
                <div class="video-card">
                    <div class="video-container">
                        <div class="thumb_img link_icon" style="background-image: url('/assets/powerpoint.png')"></div>
                        <!-- <a href="<%#= video.video_file_url %>"  target="_blank"></a> -->
                    </div>
                </div>
                <div class="card-content autoheight">
                    <h4><%= video.title %></h4>
                    <!-- <p>fsjkldjklj fdjgkljfdg fljsdgkjfg kfgklsdfjg fjkgj</p> -->
                    <!-- <p><i></i>Interstride</p> -->
                </div>
            </a>
        </div>
    <% end if @ppts.present? %>
<% end %>
